// File: Main.h
// Definizione delle classi principali.
#define WM_USERADDBOOK			WM_USER+1000
#define WM_USERSPELL			WM_USER+1001
#define WM_USERBOOKVIEWSPELL	WM_USER+1002
#define WM_USERSBOOKTOADD		WM_USER+1003

class CMyApp : public CWinApp
{
private:
	NOTIFYICONDATA nid;
public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
};



class CMainWindow : public CWnd
{
	friend void CRollDice::PostNcDestroy();
	friend void CSpellView::PostNcDestroy();
	friend void CGlobalViewDialog::PostNcDestroy();
	friend void CGlobalViewDialog::OnViewSpellClick(NMHDR *, LRESULT *);
	friend void CSpellBook::PostNcDestroy();
//	friend void CSpellView::OnSysCommand(UINT, LPARAM);
private:
	BITMAP m_bm;
	CBitmap m_bitmap;
	CRollDice *m_Roll;
	CSpellView *m_Spell;
	CSpellBook *m_SpellBook;

public:
	CMainWindow();
protected:
	virtual void PostNcDestroy();
	afx_msg void OnDiceRoll();
	afx_msg void OnSpell();
	afx_msg void OnBook();
	afx_msg void OnExit();
	afx_msg void OnAbout();
	afx_msg void OnOption();
	afx_msg int OnCreate(LPCREATESTRUCT);
	afx_msg BOOL OnEraseBkgnd( CDC* );
	afx_msg void OnStatusBar(UINT, LONG);	// da finire
	afx_msg void OnAddSpell(UINT, long);
	afx_msg void OnViewSpellFromBook(UINT, long);
	afx_msg void OnMakeViewSpellFromBook(UINT, long);
	DECLARE_MESSAGE_MAP()
};